package print

import (
	"fmt"
	"log"
)

// record INFO message. Color White
func Info(format string, a ...interface{}) {
	message := fmt.Sprintf("\033[37m[Info] "+format+"\033[0m\n", a...)
	log.Print(message)
}

// record Warn message. Color Orange
func Warn(format string, a ...interface{}) {
	message := fmt.Sprintf("\033[33m[Warn] "+format+"\033[0m\n", a...)
	log.Print(message)
}

// record Success message. Color Green
func Success(format string, a ...interface{}) {
	message := fmt.Sprintf("\033[32m[Success] "+format+"\033[0m\n", a...)
	log.Print(message)
}

// record ERROR message. Color Red
func Error(format string, a ...interface{}) {
	message := fmt.Sprintf("\033[31m[Error] "+format+"\033[0m\n", a...)
	log.Print(message)
}
